<head>
  <title>poc_2</title>
</head>

<body>
  <p><a href="{{pathFor 'home'}}">Home</a></p>
  <h1>POC 2</h1>
</body>

<template name="home">
  <ul>
    <li><a href="{{pathFor 'svgtest1'}}">Simple rectangle</a></li>
    <li><a href="{{pathFor 'svgtest2'}}">Draggable rectangle</a></li>
    <li><a href="{{pathFor 'svgtest3'}}">Editable rectangle</a></li>
    <li><a href="{{pathFor 'svgtest4'}}">Draw shapes</a></li>
  </ul>
</template>

<template name="Svgtest1">
  <h1>Simple rectangle</h1>
  <div id="drawing"></div>
</template>

<template name="Svgtest2">
  <h1>Draggable rectangle</h1>
  <div id="drawing"></div>
</template>

<template name="Svgtest3">
  <h1>Editable rectangle</h1>
  <p class="tools">Tools
    <button class="{{#if dragToolIsActive}}active{{/if}}" data-drawing-action="activate-dragging">Move</button>
    <button class="{{#if resizeToolIsActive}}active{{/if}}" data-drawing-action="activate-resizing">Resize</button>
  </p>
  <div id="drawing"></div>
</template>

<template name="Svgtest4">
  <h1>Draw shapes</h1>
  <p class="tools">Tools
    <button class="{{#if dragToolIsActive}}active{{/if}}" data-drawing-action="activate-dragging">Move</button>
    <button class="{{#if resizeToolIsActive}}active{{/if}}" data-drawing-action="activate-resizing">Select</button>
    <button class="{{#if drawToolIsActive}}active{{/if}}" data-drawing-action="activate-drawing">Draw</button>
    {{#if shapeIsSelected}}<button data-drawing-action="remove-selected">Remove</button>{{/if}}
    {{#if drawToolIsActive}}<span>Press enter when you have finished drawing</span>{{/if}}
  </p>
  <div id="drawing"></div>
</template>
